summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorQMK Bot <hello@qmk.fm>2021-01-13 16:13:04 +0000
committerQMK Bot <hello@qmk.fm>2021-01-13 16:13:04 +0000
commit30cd3faf978cf86f1dc521f70891ebfff550797b (patch)
treea2649f115681d640150e6c62f38b1d0f5bf17aba /util
parent6155987d9f582f4341f33ac3c4498b6417dbc67a (diff)
parent6368a5697d157000fc92666b8f31602b5ca5ecb0 (diff)
Merge remote-tracking branch 'origin/master' into develop
Diffstat (limited to 'util')
-rwxr-xr-xutil/list_keyboards.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/util/list_keyboards.sh b/util/list_keyboards.sh
index 1c103e0f11..aa6ed1c6af 100755
--- a/util/list_keyboards.sh
+++ b/util/list_keyboards.sh
@@ -4,5 +4,15 @@
# This allows us to exclude keyboards by including a .noci file.
find -L keyboards -type f -name rules.mk | grep -v keymaps | sed 's!keyboards/\(.*\)/rules.mk!\1!' | while read keyboard; do
- [ "$1" = "noci" -a -e "keyboards/${keyboard}/.noci" ] || echo "$keyboard"
+ if [ "$1" = "noci" ]; then
+ case "$keyboard" in
+ handwired/*)
+ ;;
+ *)
+ test -e "keyboards/${keyboard}/.noci" || echo "$keyboard"
+ ;;
+ esac
+ else
+ echo "$keyboard"
+ fi
done